<?php
/*
Plugin Name: Change Rol Name
Plugin URI: http://semihavci.com.tr/wordpress-uye-rol-isimlerini-degistirme
Description: Üyelerin site üzerindeki rol isimlerini değiştiren eklentidir.
Version: 1.0
Author URI: http://semihavci.com.tr/
*/

function change_role_name() {
    global $wp_roles;

    if ( ! isset( $wp_roles ) )
        $wp_roles = new WP_Roles();

    //Roll Adını değiştirmek istediğiniz üye rol isimleri aşağıdaki kısımda mevcuttur. Buradan istediğiniz değişikliği gerçekleştirebilirsiniz
	// Yönetici -> administrator
	// Editör -> editor
	// Yazar -> author
	// İçerik Sağlayıcı -> contributor
	// Abone -> subscriber
	
	$wp_roles->roles['subscriber']['name'] = 'Abone Üye';
    $wp_roles->role_names['subscriber'] = 'Abone Üye';
	
    $wp_roles->roles['contributor']['name'] = 'Standart Üye';
    $wp_roles->role_names['contributor'] = 'Standart Üye';      
	
	$wp_roles->roles['author']['name'] = 'VIP Üye';
    $wp_roles->role_names['author'] = 'VIP Üye';     

	$wp_roles->roles['editor']['name'] = 'Editör Üye';
    $wp_roles->role_names['editor'] = 'Editör Üye';  	
	
	$wp_roles->roles['administrator']['name'] = 'Site Yöneticisi';
    $wp_roles->role_names['administrator'] = 'Site Yöneticisi';  	
}
add_action('init', 'change_role_name');
?>
